////////////////////////////////////////////////////////////////////////////////
//   ____  ____   
//  /   /\/   /  
// /___/  \  /   
// \   \   \/  
//  \   \        Copyright (c) 2003-2004 Xilinx, Inc.
//  /   /        All Right Reserved. 
// /---/   /\     
// \   \  /  \  
//  \___\/\___\
////////////////////////////////////////////////////////////////////////////////

#ifndef H_Work_ddr_clk_gen_v0_H
#define H_Work_ddr_clk_gen_v0_H
#ifdef __MINGW32__
#include "xsimMinGW.h"
#else
#include "xsim.h"
#endif


class Work_ddr_clk_gen_v0: public HSim__s6 {
public:

    HSim__s1 SE[5];

HSimConstraints *c0;
  char *t1;
HSim__s4 C2Y;
    HSim__s1 SA[7];
    Work_ddr_clk_gen_v0(const char * name);
    ~Work_ddr_clk_gen_v0();
    void constructObject();
    void constructPorts();
    void reset();
    void architectureInstantiate(HSimConfigDecl* cfg);
    virtual void vhdlArchImplement();
};



HSim__s6 *createWork_ddr_clk_gen_v0(const char *name);

#endif
